Withdrawal Limit Inquiry API
Queries the direct debit withdrawal limit for an Open Banking participating institution.
API Information
POST/v2/api/pay/wdLimit
Content-Type
application/jsonSandbox
https://tbnpay.settlebank.co.kr/v2/api/pay/wdLimitProduction
https://npay.settlebank.co.kr/v2/api/pay/wdLimitRequest Parameters
Type Notation
NNumericAAlphabeticHKoreanANAlphanumericAHNAlphanumeric + Koreane.g. AN(10) = alphanumeric, up to 10 bytes
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Unique Merchant ID assigned by Hecto Financial.
Unique Merchant ID assigned by Hecto Financial.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (YYYYMMDD).
Request date (YYYYMMDD).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(auto-generated)SHA-256 hash value.
NOTE
Signature composition
Merchant ID + request date + request time + auth key
Response Parameters
Type Notation
NNumericAAlphabeticHKoreanANAlphanumericAHNAlphanumeric + Koreane.g. AN(10) = alphanumeric, up to 10 bytes
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└percWdLmtAmtAN(18)Alphanumeric, up to 18 bytes*
AES-256AES-256/ECB/PKCS5PaddingPer-transaction withdrawal limit amount.10000Per-transaction withdrawal limit amount.
*Certain response fields are AES-256 encrypted. Decrypt them before use.
└dayWdLmtAmtAN(18)Alphanumeric, up to 18 bytes*
AES-256AES-256/ECB/PKCS5PaddingDaily withdrawal limit amount.10000Daily withdrawal limit amount.
*Certain response fields are AES-256 encrypted. Decrypt them before use.
└todayAcmWdAmtAN(18)Alphanumeric, up to 18 bytes*
AES-256AES-256/ECB/PKCS5PaddingToday's cumulative withdrawal amount.10000Today's cumulative withdrawal amount.
*Certain response fields are AES-256 encrypted. Decrypt them before use.
